/* ###################################### */
/* #                                    # */
/* #  Un compilateur pour le langage    # */
/* #        ALGO                        # */
/* #                                    # */
/* # Unite d'analyse syntaxique         # */
/* #                                    # */
/* # BRUNO Emmanuel 2000-2006           # */
/* # bruno@univ-tln.fr                  # */
/* ###################################### */

/* A rajouter lors de la construction des arbres
/*
  #include "algo_arbre.h"
  #include "algo_lexical.h"
*/

/* Fonctions d'analyse des expressions */
/* Le type de retour des fonctions suivantes devra être 
   noeud lors de la construction des arbres.
*/
void facteur();
void terme();
void expression_simple();
void expression();

/* fonctions d'analyse des instructions */
void montrer_la_valeur_de();
void demander_une_valeur_pour();
void affecter_la_valeur_de();
void si_alors();
void tant_que();
void instructions();

/* analyse des declarations */
void liste_variables();
void suite_declaration();
void declarations();

/* analyse de l'Algorithme */
void algorithme();


