/* ###################################### */
/* #                                    # */
/* #  Un compilateur pour le langage    # */
/* #        ALGO                        # */
/* #                                    # */
/* # Unite de conbstruction de l'arbre  # */
/* #                 syntaxique         # */
/* #                                    # */
/* # BRUNO Emmanuel 1998                # */
/* # bruno@univ-tln.fr                  # */
/* ###################################### */


/* l'arbre syntaxique (n-aire) est simule par un arbre binaire */

typedef struct s_code
{
  char * nom;
  char * param1;
  char * param2;
  char * param3;
  struct s_code *suivant; 
} *code;

typedef struct s_noeud
{
  char *nom;
  struct s_noeud *fils;
  struct s_noeud *frere;
  code instructions;
} *noeud;

noeud creer_racine(char *nom);
noeud ajoute_fils(noeud racine, noeud nouveau);
noeud ajoute_frere(noeud racine, noeud nouveau);
void ajoute_instruction(noeud racine, char * nom,char * param1,char * param2,char * param3);
void affiche_code(noeud racine);
void detruire_arbre_syntaxique(noeud racine);


